> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Links

> Getting all your payment links as paginated response



## OpenAPI

````yaml /openapi.yaml get /payment-links
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /payment-links:
    get:
      tags:
        - Payment Links API
      summary: List Payment Links
      description: Getting all your payment links as paginated response
      operationId: list-payment-links
      responses:
        '200':
          description: Paginated response with payment links
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of Payment Link objects
                    items:
                      $ref: '#/components/schemas/PaymentLink'
                  first_page_url:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/payment-links?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: https://api.mijnklantportaal.nl/v1/payment-links?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/payment-links
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
components:
  schemas:
    PaymentLink:
      type: object
      description: Payment Link
      properties:
        id:
          type: string
          example: plk_abc12345def678
          description: ID of the offer, always starting with `plk_`.
        description:
          type: string
          example: Contribution costs
          description: Description which will be used on the bank statement of the payer
        currency:
          type: string
          example: EUR
          description: Currency
        amount:
          type: string
          example: '12.95'
          description: Amount value as `string`.
        reusable:
          type: boolean
          example: true
          description: >-
            Indicates if the link can be used multiple times after a payment was
            successful
        expiresAt:
          type: string
          nullable: true
          example: '2024-05-14T21:00:00+02:00'
          description: >-
            Date and time the link will expire and so not longer can used, if
            set. Written in ATOM format.
        status:
          type: string
          example: open
          description: >-
            Current status of the link. Possible values are `open`, `paid`,
            `expired` and `closed`.
        checkoutUrl:
          type: string
          example: https://demo.mijnklantportaal.nl/payment-link/plk_abc12345def678
          nullable: true
          description: >-
            The actual link where you can redirect a payer to for doing the
            payment. Will return `null` when the payment link can no longer be
            used.
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: >-
            Date and time when the payment link was created. Written in ATOM
            format.
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````